#__nuxt,
#__layout,
.body,
body {
  overflow: auto;
  display: flex; // Исправляем баг в IE для min-height and flexbox (flex-direction:column)
  flex-direction: column; // и прижимаем footer в IE 10-11
  margin: 0;
  //min-height: 100%;
}

.body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.main-wrapper {
  display: flex;
  flex-direction: column;
  padding-top: 50px;
  padding-bottom: 80px;
  flex-grow: 1;
  @include media-breakpoint-down(sm) {
    padding-top: 20px;
    padding-bottom: 30px;
  }
}

.social-links {
  display: flex;
  flex-wrap: wrap;
  @include media-breakpoint-down(sm) {
    margin-bottom: 20px;
  }
  &__item {
    padding: 10px;
    &:not(:last-child) {
      margin-right: 30px;
      @include media-breakpoint-down(sm) {
        margin-right: 20px;
      }
    }
  }
}

.main-footer {
  position: relative;
  z-index: 150;
  display: flex;
  padding: 100px 8vw 80px;
  background-color: $--color-white;
  border-top: 1px solid #f6f6f7;
  min-height: 80px;
  flex-shrink: 0;
  transition: all 0.3s ease-in-out;
  @include media-breakpoint-down(lg) {
    padding: 60px 8vw 50px;
  }
  @include media-breakpoint-down(sm) {
    padding: 40px 8vw 40px;
  }
  .copy {
    margin-bottom: 0;
    font-family: $-font-regular-public;
    font-size: $-font-size-xs;
    color: $--color-text-footer;
  }
  .social-links__item {
    color: $--color-text-footer;
    transition: opacity 0.2s $--easeOutQuart;
    &:hover {
      opacity: 0.6;
    }
  }
  &.footer-home {
    border-top: 1px solid #000;
    background-color: #000;
  }
  &.footer-inner {
    border-top: 1px solid #f2f2f2;
    background-color: #f2f2f2;
  }
  &__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    flex-wrap: wrap;
    width: 100%;
    @include media-breakpoint-down(sm) {
      flex-direction: column-reverse;
      align-items: center;
    }
  }
}

.main-image {
  max-width: 100%;
}

.el-menu {
  overflow: visible;
}

.promo-heading {
  text-transform: uppercase;
  font-size: $-promo-heading-font-size;
  line-height: $-promo-heading-line-height;
  color: $-promo-heading-color;
  z-index: 1000;
  &_main-content {
    max-width: 560px;
    margin-bottom: 75px;
    @media (max-width: 1700px) {
      font-size: $-promo-heading-font-size-md;
      line-height: $-promo-heading-line-height-md;
    }
    @include media-breakpoint-down(lg) {
      max-width: 100%;
      font-size: $-promo-heading-font-size-sm;
      line-height: $-promo-heading-line-height-sm;
      margin-bottom: 0;
      margin-right: 20px;
    }
    @include media-breakpoint-down(sm) {
      font-size: $-promo-heading-font-size-xs;
      line-height: $-promo-heading-line-height-xs;
    }
  }
}

.promo-text {
  &_main-content {
    font-family: $-font-regular-public;
    font-size: $-font-size-xs;
    line-height: 24px;
  }
}

.public .nuxt-button-link {
  position: relative;
  padding: 15px 50px;
  min-width: 220px;
  border: 2px solid $-color-text-primary-public;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
  font-size: 12px;
  font-family: $-font-medium-public;
  color: $-color-text-primary-public;
  background-color: rgba(255, 255, 255, 0);
  border-radius: 50px;
  transition: all 0.2s ease-in-out;
  outline: none;
  cursor: pointer;
  &[disabled] {
    opacity: 0.3;
    cursor: not-allowed;
  }
  &__icon {
    margin-left: 7px;
    transition: all 0.2s ease-in-out, color 0s;
  }
  @include media-breakpoint-down(md) {
    padding: 10px 40px;
    min-width: auto;
  }
  &:focus {
    background-color: $-color-text-primary-public;
    color: $--color-white;
    box-shadow: 0 18px 30px -10px rgba(0, 0, 0, 0.5);
    transform: translateY(-3px);
    .nuxt-button-link__icon {
      transform: translateX(2px);
    }
  }
}

.button-wrapper {
  &:hover {
    .nuxt-button-link {
      background-color: $-color-text-primary-public;
      color: $--color-white;
      box-shadow: 0 18px 30px -10px rgba(0, 0, 0, 0.5);
      transform: translateY(-3px);
      .nuxt-button-link__icon {
        transform: translateX(2px);
      }
      &[disabled] {
        box-shadow: none;
        color: $-color-text-primary-public;
        background-color: $--color-white;
        transform: translateY(0);
      }
    }
  }
  &.white-bg {
    .nuxt-button-link {
      color: $--color-black;
      background-color: $--color-white;
      border: none;
      transition: opacity 0.25 $--easeOutQuart;
      &:focus {
        opacity: 0.8;
      }
    }
    &:hover .nuxt-button-link {
      opacity: 0.8;
    }
  }
  &.white.no-border {
    .nuxt-button-link {
      font-family: $-font-bold-public;
      color: $--color-white;
      border: none;
      &:focus {
        font-family: $-font-medium-public;
        color: $--color-black;
        background-color: $--color-white;
      }
    }
    &:hover .nuxt-button-link {
      font-family: $-font-medium-public;
      color: $--color-black;
      background-color: $--color-white;
    }
  }
}

.vsc-initialized .el-popover {
  border-radius: 0;
  border: none;
  padding: 15px 20px 10px 20px;
  box-shadow: 0 8px 30px rgba(0,0,0,0.1);
}

.public .el-breadcrumb {
  line-height: 22px;
  font-family: $-font-light-public;
  margin-bottom: 30px;
}

.public .el-breadcrumb__inner a,
.public .el-breadcrumb__inner.is-link {
  font-family: $-font-medium-public;
  color: $-color-menu-background;
  transition: opacity 0.2s ease-in-out;
  &:hover {
    color: $-color-menu-background;
    opacity: 0.6;
  }
}

.public .el-breadcrumb__separator[class*=icon] {
  margin: 0;
}
